Bug 799649 - Review Request: python-django-tables2 - Table framework for Django
Review Request: python-django-tables2 - Table framework for Django
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 16:12 EST by Matthias Runge
Modified: 2012-03-20 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-django-tables2-0.9.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-03 16:12:26 EST
Spec URL: http://www.matthias-runge.de/fedora/python-django-tables2.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-tables2-0.9.4-1.fc17.src.rpm
Description: 
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.

koji scratchbuild http://koji.fedoraproject.org/koji/taskinfo?taskID=3849868

[mrunge@sofja SPECS]$ rpmlint ./python-django-tables2.spec ../SRPMS/python-django-tables2-0.9.4-1.fc17.src.rpm ../RPMS/noarch/python-django-tables2-0.9.4-1.fc17.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Matthias Runge 2012-03-07 07:54:31 EST
OK, small update
- remove included egg-info
- more specific %%files-section

Spec URL: http://www.matthias-runge.de/fedora/python-django-tables2.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-tables2-0.9.4-2.fc16.src.rpm
Comment 2 Thomas Spura 2012-03-07 08:15:17 EST
Review:
- rpmlint clean
  $ rpmlint /home/tomspur/rpmbuild/SRPMS/python-django-tables2-0.9.4-2.fc16.src.rpm /home/tomspur/rpmbuild/RPMS/noarch/python-django-tables2-0.9.4-2.fc16.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
- name ok
- provides ok
- egg removed
- %files ok
- no libs
- no .la
- noarch ok
- sourde ok
  9f073e4746afd49b660b5dcdb5fa0ae8  django-tables2-0.9.4.tar.gz

Blocker:
- R on django missing

Should:
- Still don't know how to add a proper %check section or if that's easy possible...

################################################################

The only blocker is the missing R from above, so when it's added, this package is:

################################################################

APPROVED
Comment 3 Matthias Runge 2012-03-09 03:46:01 EST
Thank you for the review. Of course, I'll add Requires: Django


New Package SCM Request
=======================
Package Name: python-django-tables2
Short Description: Table framework for Django
Owners: mrunge
Branches: f16 f17 devel el6
Comment 4 Gwyn Ciesla 2012-03-09 09:04:09 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-09 16:45:24 EST
python-django-tables2-0.9.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-django-tables2-0.9.4-2.fc16
Comment 6 Fedora Update System 2012-03-09 16:48:11 EST
python-django-tables2-0.9.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-django-tables2-0.9.4-2.fc17
Comment 7 Fedora Update System 2012-03-09 20:23:59 EST
python-django-tables2-0.9.4-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-03-16 17:17:11 EDT
python-django-tables2-0.9.4-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-03-20 22:38:17 EDT
python-django-tables2-0.9.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.